Cancellation Fees
Commerce
/- Returns a list of records with the specified coupon id
Gets all of the orders in the system.
Processes a order
Execute Batch Operations
Returns a list of records with the specified bill_to_contact_id
Returns a list of records with the specified bill_to_organization_id
Checks to see whether or not a person is eligible based on specified criteria
Checks to see whether or not a person is eligible based on specified criteria
Closes an Order
Returns a list of records with the specified coupon_id
Returns a list of records with the specified coupon_code_id
List orders by customer
Returns a list of records with the specified installment_schedule_id
Gets all of the orders in the system for a given contact.
Returns a order from the system by its ID for a given contact.
Gets all of the orders in the system for a given organization.
Returns a order from the system by its ID for a given organization.
Preview an order
Sends out a preview of the CRC notification email
Sends out a preview of the CRC notification email
Previews an order with line item overrides
Processes an order with line item overrides
Processes an order with line item overrides
Gets the availability of merchandise
Preview an order
Previews an order publicly
Applies a coupon to an existing order
Applies a coupon to an existing order
Searches for orders using predefined parameters
Returns a list of records with the specified ship_to_contact_id
Returns a list of records with the specified ship_to_organization_id
Returns a list of shippable orders with the specified status
Returns a list of records with the specified shippable_status
Creates a new order that doesn't already exist
Void an order
Returns a order from the system by its ID.
Returns a order from the system by its ID.
Partially updates a order with the specified ID.
Updates a order with the specified ID.
Returns a list of records...
Commerce (Orders & Inventory) (v1-2025-04-18)
The Orders & Inventory, or Commerce, API is focused on the processing and fulfillment of Orders. Additionally, you can use this API to manage your inventory, merchandise, and online store.
Like most of the other Rhythm apps, the Commerce API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1
https://commerce.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/couponCodeUsages/{coupon_code_id}
- https://commerce.api.rhythmsoftware.com/orders/{tenantId}/couponCodeUsages/{coupon_code_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/couponCodeUsages/{coupon_code_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/couponUsages/{coupon_type}/{coupon_id}
- https://commerce.api.rhythmsoftware.com/orders/{tenantId}/couponUsages/{coupon_type}/{coupon_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/couponUsages/{coupon_type}/{coupon_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/customer/{customerType}/{customerId}
- https://commerce.api.rhythmsoftware.com/orders/{tenantId}/customer/{customerType}/{customerId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/customer/{customerType}/{customerId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }